/**
 * me
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */
var me = {};

me.resize = {
    resizeMinWidth : 600,
    resizeMinHeight : 300,
    resizeBox : function(targetId)
    {
        var resizeTarget = $('#' + targetId);
        var setHeight = $(window).height() - ($('body').height() - resizeTarget.height()) - 3;
        if (setHeight < me.resize.resizeMinHeight) {
            setHeight = me.resize.resizeMinHeight;
        }
        var setWidth = $(window).width() - (resizeTarget.offset().left + 20) - 3;
        if (setWidth < me.resize.resizeMinWidth) {
            setWidth = me.resize.resizeMinWidth;
        }
        resizeTarget.height(setHeight);
        resizeTarget.width(setWidth);
    }
}

me.form = {
    unloadFlag : true,
    init : function()
    {
        window.onbeforeunload = function(){
            if (!me.form.unloadFlag) {
                return;
            }
            $.ajax({
                type: 'GET',
                async: false,
                url: '../Main/unset_form?_form_id=' + $('#_form_id').val(),
                success: function(html){
                },
                error: function(XHR, textStatus, errorThrown){
                    me.error.ajaxError(XHR, textStatus, errorThrown);
                }
            });
        }
    },
    noUnload : function()
    {
        me.form.unloadFlag = false;
    }
}

me.error = {
    ajaxError : function(XHR, textStatus, errorThrown){
        var message = $(XHR.responseText).find('#message').text();
        if (message == '') {
            message = textStatus;
        }
        alert(message);
    },
    htmlError : function()
    {
        if (window.frameElement) {
            // iframe
            var message = $('#message').text();
            if (message == '') {
                message = 'error';
            }
            alert(message);
        }
    }
}