<!DOCTYPE html>
<html>
<head>
<?php h::render('/Common/head.php') ?>
<title>ログ閲覧 - MicroEngine</title>
<script src="../../app/assets/js/me.log.js?v=<?php h::p(SCRIPT_VERSION) ?>"></script>
<script>
<!--
$(document).ready(function(){
    me.log.showLogFile();
    me.resize.resizeBox('log_viewer');
    $(window).bind('resize', function(){
        me.resize.resizeBox('log_viewer');
    });
});
//-->
</script>
</head>
<body>
<?php h::render('/Common/header.php', compact('login_user'), array('help_page'=>'log_viewer.html')) ?>
<div class="topicpath_box">
<span class="topicpath">
<a href="../Main/index"><span>Top</span></a> &#187;
<a href="../System/index"><span>システム</span></a> &#187;
ログ閲覧
</span>
</div><!-- /topicpath -->

<div class="main">

<span>ログファイル選択：</span>
<select id="log_file" name="log_file" onchange="me.log.showLogFile();">
<?php foreach($log_file_list as $log_file): ?>
<option value="<?php h::p($log_file) ?>"><?php h::p($log_file) ?></option>
<?php endforeach; ?>
</select>
<button title="新規ウインドウで表示" onclick="me.log.openNewTab();return false;"><img src="../../app/assets/images/silk/application_go.png" width="16" height="16" alt="新規ウインドウで表示"></button>
<button type="button" class="link_button" onclick="me.log.scrollTop();"><img src="../../app/assets/images/silk/arrow_up.png" width="16" height="16" alt="最上部へスクロール"><span>最上部へスクロール</span></button>
<button type="button" class="link_button" onclick="me.log.scrollBottom();"><img src="../../app/assets/images/silk/arrow_down.png" width="16" height="16" alt="最下部へスクロール"><span>最下部へスクロール</span></button>

<div>
<iframe id="log_viewer" class="log_viewer" src="about:blank"></iframe>
</div>

</div><!-- /main -->
<?php h::render('/Common/footer.php') ?>
</body>
</html>